org.apache.ignite.internal.visor.event

## Class VisorGridDiscoveryEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.event.VisorGridEvent
  - - org.apache.ignite.internal.visor.event.VisorGridDiscoveryEvent

All Implemented Interfaces:
  Serializable

    public class VisorGridDiscoveryEvent
    extends VisorGridEvent

Lightweight counterpart for `DiscoveryEvent`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridDiscoveryEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay, UUID evtNodeId, String addr, boolean isDaemon)` Create event with given parameters.

### Method Summary

Methods
`String` `address()`
`UUID` `evtNodeId()`
`boolean` `isDaemon()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`id, message, name, nid, shortDisplay, timestamp, typeId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridDiscoveryEvent

    public VisorGridDiscoveryEvent(int typeId,
                           IgniteUuid id,
                           String name,
                           UUID nid,
                           long ts,
                           @Nullable
                           String msg,
                           String shortDisplay,
                           UUID evtNodeId,
                           String addr,
                           boolean isDaemon)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `evtNodeId` - Event node id.
  `addr` - Event node address.
  `isDaemon` - If event node is daemon on not.

### Method Detail

#### evtNodeId

    public UUID evtNodeId()

Returns:
  Deployment alias.

#### address

    public String address()

Returns:
  Node address that caused this event to be generated.

#### isDaemon

    public boolean isDaemon()

Returns:
  If node that caused this event is daemon.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015